YJ的博客
个人生活、工作的随笔

本站部分文章、资源来自互联网,版权归原作者及网站所有,如侵犯了您的权利,请及时致信告知我

粤ICP备15050546号

网站地图

CentOS6 yum安装mcrypt(解决phpmyadmin提示“无法载入mcrypt模块”)

在CentOS6搭建LAMP后登陆PHPmyadmin提示“无法载入mcrypt模块” 的错误感觉很不爽,就尝试着使用yum安装提示找不到模块。
如下为执行过程:

[php][root@iZ94kalfrmmZ ~]# yum install php-mcrypt
Setting up Install Process
No package php-mcrypt available.
Error: Nothing to do[/php]

原来CentOS 官方默认不在对mcrypt模块 进行支持,所以必须另想办法。
这里主要使用了Fedora的扩展库,EPEL (Extra Packages for Enterprise Linux)

这里以CentOS 6.6 x86_64作为例

第一步:在拓展库中查找epel的rpm包,这里的拓展库以搜狐的拓展库为例
打开网址“http://mirrors.sohu.com/fedora-epel/6/x86_64/”,使用ctrl+f搜索关键词“epel-release”,当前最新拓展包为“epel-release-6-8.noarch.rpm”
如下截图:

然后执行命令:

[php][root@iZ94kalfrmmZ ~]# rpm -ivh http://mirrors.sohu.com/fedora-epel/6/x86_64/epel-release-6-8.noarch.rpm[/php]

会看到已经通过rpm命令安装epel库

第二步:执行命令:yum update 更行系统
执行命令:

[php][root@iZ94kalfrmmZ ~]# yum update[/php]

然后就是一段时间的等待了,因为系统会更新到CentOS 最新版本有可能会时间比较长。更新完成后会有Complete! 提示

第三步:执行命令安装mcrypt扩展包
执行命令:

[php][root@iZ94kalfrmmZ ~]# yum install php-mcrypt -y[/php]

将会自动yum下载并安装php-mcrypt拓展包

第四步:重启apache使拓展生效

[php][root@iZ94kalfrmmZ ~]# service httpd restart[/php]

再打开PHPMyadmin 红色的错误提示已经没有。

2015-06-26
473 views
暂无评论

发表评论